caption: Device printers configuration access policy.
desc: |-
  Setting the policy designates which access policy applies to bulk printer configuration, controlling which printers from <ph name="DEVICE_PRINTERS_POLICY_NAME">DevicePrinters</ph> are available for users.

        * <ph name="POLICY_ENUM_DEVICEPRINTERSACCESSMODE_BLOCKLISTRESTRICTIONS">BlocklistRestriction</ph> (value 0), <ph name="DEVICE_PRINTERS_BLOCKLIST_POLICY_NAME">DevicePrintersBlocklist</ph> can restrict access to the specified printers

        * <ph name="POLICY_ENUM_DEVICEPRINTERSACCESSMODE_ALLOWLISTPRINTERSONLY">AllowlistPrintersOnly</ph> (value 1), <ph name="DEVICE_PRINTERS_ALLOWLIST_POLICY_NAME">DevicePrintersAllowlist</ph> designates only those printers which are selectable

        * <ph name="POLICY_ENUM_DEVICEPRINTERSACCESSMODE_ALLOWALL">AllowAll</ph> (value 2), all printers are allowed.

        Leaving the policy unset applies <ph name="PRINTERS_ALLOW_ALL">AllowAll</ph>.
device_only: true
example_value: 1
features:
  dynamic_refresh: true
  per_profile: false
items:
- caption: All printers are shown except those in the blocklist.
  name: BlocklistRestriction
  value: 0
- caption: Only printers in the allowlist are shown to users
  name: AllowlistPrintersOnly
  value: 1
- caption: Allow all printers from the configuration file.
  name: AllowAll
  value: 2
owners:
- ust@google.com
- chromeos-commercial-printing@google.com
- pawliczek@chromium.org
schema:
  enum:
  - 0
  - 1
  - 2
  type: integer
supported_on:
- chrome_os:87-
tags: []
type: int-enum
